#
# spec file for package votca-csgapps
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013-2017 Christoph Junghans
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:       votca-csgapps
Version:    1.4.1
%define     uversion 1.4.1
Release:    lp152.3.8
Summary:    VOTCA coarse-graining engine applications
Group:      Productivity/Scientific/Chemistry
License:    Apache-2.0
URL:        http://www.votca.org
Source0:    https://github.com/votca/csgapps/archive/v%{uversion}.tar.gz#/%{name}-%{uversion}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gromacs-devel
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  fdupes
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_program_options-devel
%else
BuildRequires:  boost-devel >= 1.39.0
%endif
BuildRequires:  pkgconfig(libvotca_csg) = %{version}
BuildRequires:  pkgconfig(libvotca_tools) = %{version}
BuildRequires:  cmake

%description
Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is
a package to reduce the amount of routine work when doing systematic
coarse-graining of various systems. The core is written in C++.

This package contains sample applications of the VOTCA Coarse Graining Engine.

%prep
%setup -n csgapps-%{uversion} -q

%build
%{cmake}
make %{?_smp_mflags}

%install
make -C build install DESTDIR=%{buildroot}

%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*

%changelog
* Sun Sep  3 2017 junghans@votca.org
- Upgrade to 1.4.1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Sat Nov  5 2016 jengelh@inai.de
- Update descriptions
* Sat Oct 29 2016 junghans@votca.org
- Upgrade to 1.4
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Tue Sep 27 2016 junghans@votca.org
- Upgrade to 1.4_rc1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Fri Aug 19 2016 junghans@votca.org
- Upgrade to 1.3.1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Fri Jan 15 2016 junghans@votca.org
- Upgrade to 1.3
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Thu Oct  8 2015 junghans@votca.org
- Upgrade to 1.3_rc1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Fri Sep  5 2014 junghans@votca.org
- update to 1.2.4
  - minor cmake fixes
* Fri Dec  6 2013 junghans@votca.org
- clean up for inclusion in OpenSuse:Factory
* Thu Oct 31 2013 junghans@votca.org
- update to 1.2.3
* Sun Aug 28 2011 kkaempf@suse.com
- New package
- Initial version 1.2.1
